Bug 1101166 - Buttons are not aligned properly and not visible in alert definition creation page
Summary: Buttons are not aligned properly and not visible in alert definition creation...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: ---
: RHQ 4.12
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-26 10:28 UTC by Jeeva Kandasamy
Modified: 2014-12-15 11:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:34 UTC


Attachments (Terms of Use)
screen shot (62.12 KB, image/jpeg)
2014-05-26 10:28 UTC, Jeeva Kandasamy
no flags Details
alertNotification.png (118.56 KB, image/png)
2014-05-26 11:52 UTC, Filip Brychta
no flags Details

Description Jeeva Kandasamy 2014-05-26 10:28:30 UTC
Created attachment 899280 [details]
screen shot

Description of problem:
New GUI change leads some buttons are not aligned properly and not visible under alert definition creation page.

Version-Release number of selected component (if applicable):
Version : 4.12.0-SNAPSHOT
Build Number : ed0a80a
GWT Version : 2.5.0
SmartGWT Version : 3.0

Firefox ESR 17.0.10 and Firefox 29.0

How reproducible:
Always

Steps to Reproduce:
1. Login to RHQ server
2. Navigate to 'Inventory-->Servers-->RHQ Agent-->Alerts-->Definitions-->New'
   - 'Priority' drop-down is not visible
   - 'Enabled: Yes' radio button is not visible
3. Give alert name and click on 'Notifications' tab, Click 'Add'
   - 'OK' and 'Cancel' buttons are not visible for most of the 'Notification sender' Types
   - Select different types of 'Notification Sender', pages are not aligned properly and buttons are not visible.

Additional info:
Screen shot is attached.
This Bug was captured by overnight GUI automation.

Comment 1 Filip Brychta 2014-05-26 11:50:35 UTC
Layout is broken on alert notification page as well. See attached alertNotification.png. This is probably caused by recent changes in look&feel

Comment 2 Filip Brychta 2014-05-26 11:52:11 UTC
Created attachment 899288 [details]
alertNotification.png

Comment 3 Libor Zoubek 2014-05-26 13:56:47 UTC
in master
commit a60d5994d24ff2bdecb4182c8216cd86f767ffe9
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Mon May 26 15:53:31 2014 +0200

    [Bug 1101166] Buttons are not aligned properly and not visible in alert
    definition creation page

    Disable another interfering pieces in patternfly.css

Comment 4 Filip Brychta 2014-05-27 07:06:36 UTC
Verified on
Version :	
4.12.0-SNAPSHOT
Build Number :	
3919825

Comment 5 Heiko W. Rupp 2014-12-15 11:36:34 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.